Bug 697319 - missing files
Summary: missing files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iproute
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-17 18:20 UTC by Account closed by user
Modified: 2011-05-03 04:52 UTC (History)
3 users (show)

Fixed In Version: iproute-2.6.38.1-4.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-03 04:46:12 UTC
Type: ---


Attachments (Terms of Use)

Description Account closed by user 2011-04-17 18:20:50 UTC
binary/scripts:
genl  ifstat  routef  routel  rtpr

docs:
api-ip6-flowlabels.ps  arpd.ps  ip-cref.ps  ip-tunnels.ps  nstat.ps  rtstat.ps  ss.ps

Comment 1 Petr Šabata 2011-04-21 12:43:02 UTC
All the documentation is available in iproute-doc.
The binaries are really missing and will be included in next release.

Comment 2 Fedora Update System 2011-04-21 13:08:40 UTC
iproute-2.6.38.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/iproute-2.6.38.1-2.fc15

Comment 3 Fedora Update System 2011-04-22 00:10:44 UTC
Package iproute-2.6.38.1-2.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing iproute-2.6.38.1-2.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/iproute-2.6.38.1-2.fc15
then log in and leave karma (feedback).

Comment 4 Account closed by user 2011-04-22 12:24:49 UTC
missing links, ctstat rtstat, to lnstat:

from misc/lnstat.c :

	if (!strcmp(basename, "rtstat")) {
		/* rtstat compatibility mode */
		req_files[0] = "rt_cache";
		num_req_files = 1;
	} else if (!strcmp(basename, "ctstat")) {
		/* ctstat compatibility mode */
		req_files[0] = "ip_conntrack";
		num_req_files = 1;
	}


missing manpages links:

ctstat.8 -> lnstat.8
routef.8 -> routel.8
rtstat.8 -> lnstat.8

missing m_xt.so and link m_ipt.so

missing libnetlink.3 and include/libnetlink.h

-thanks-

Comment 5 Petr Šabata 2011-04-22 13:05:44 UTC
(In reply to comment #4)
> missing links, ctstat rtstat, to lnstat:
> 
> from misc/lnstat.c :
> 
>  if (!strcmp(basename, "rtstat")) {
>   /* rtstat compatibility mode */
>   req_files[0] = "rt_cache";
>   num_req_files = 1;
>  } else if (!strcmp(basename, "ctstat")) {
>   /* ctstat compatibility mode */
>   req_files[0] = "ip_conntrack";
>   num_req_files = 1;
>  }
> 
> 
> missing manpages links:
> 
> ctstat.8 -> lnstat.8
> routef.8 -> routel.8
> rtstat.8 -> lnstat.8

Ok.

> 
> missing m_xt.so and link m_ipt.so

Ok.

> 
> missing libnetlink.3 and include/libnetlink.h
> 
> -thanks-

Do we need this? If so, we should install libnetlink.a as well.
This would introduce devel (and virtually static) subpackages.

Comment 6 Fedora Update System 2011-04-23 03:59:54 UTC
iproute-2.6.38.1-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Petr Šabata 2011-04-26 07:47:43 UTC
Re-opening with respect to Comment 4.

Comment 8 Petr Šabata 2011-04-27 09:17:45 UTC
Added all the files and links mentioned in Comment 5 do 2.6.38.1-3.
We now also have a devel (static) subpackage with libnetlink.a/.h.

The update is on its way.

Comment 9 Fedora Update System 2011-04-27 09:27:44 UTC
iproute-2.6.38.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/iproute-2.6.38.1-3.fc15

Comment 10 Account closed by user 2011-04-27 12:01:02 UTC
(In reply to comments #8 #5)

sorry for the late reply.

> Added all the files and links mentioned in Comment 5 do 2.6.38.1-3.

missing links,ctstat rtstat, to *binary* lnstat.

> Do we need this? If so, we should install libnetlink.a as well.

http://fedoraproject.org/wiki/PackagingGuidelines#Packaging_Static_Libraries
It must be converted to dinamic library.

-thanks-

Comment 11 Petr Šabata 2011-04-27 12:14:47 UTC
(In reply to comment #10)
> (In reply to comments #8 #5)
> 
> sorry for the late reply.
> 
> > Added all the files and links mentioned in Comment 5 do 2.6.38.1-3.
> 
> missing links,ctstat rtstat, to *binary* lnstat.
> 
> > Do we need this? If so, we should install libnetlink.a as well.
> 
> http://fedoraproject.org/wiki/PackagingGuidelines#Packaging_Static_Libraries
> It must be converted to dinamic library.
> 
> -thanks-

Packaging static libraries is okay; just read the link you're referencing; iproute-devel provides iproute-static.

Comment 12 Fedora Update System 2011-04-27 12:40:49 UTC
iproute-2.6.38.1-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/iproute-2.6.38.1-4.fc15

Comment 13 Fedora Update System 2011-04-28 19:01:02 UTC
Package iproute-2.6.38.1-3.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing iproute-2.6.38.1-3.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/iproute-2.6.38.1-3.fc15
then log in and leave karma (feedback).

Comment 14 Fedora Update System 2011-05-03 04:46:07 UTC
iproute-2.6.38.1-3.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2011-05-03 04:52:05 UTC
iproute-2.6.38.1-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.